% ENIGMA Longitudinal protocol
% Make all pngs for subcortical and cortical structures using QC scripts
% from ENIGMA-2 and ENIGMA-3
% For baseline and followup 
% Rachel Brouwer 04-08-14

subjects=importdata('/enigma/longitudinal/longitudinal_ENIGMA_subjects.txt')
Parent_baseline='/enigma/longitudinal/baseline'
Parent_followup='/enigma/longitudinal/followup'
QC_output_dir='/enigma/longitudinal/QC_ENIGMA_LONG/'


% First create pngs for baseline

for x = 1:size(subjects.textdata,1)
   try
      tic
      imageF1=char(strcat(Parent_baseline,subjects.textdata{x,1},'/mri/brainmask.mgz'));
      imageO1=char(strcat(Parent_baseline,subjects.textdata{x,1},'/mri/aparc+aseg.mgz'));
      imageOr1=char(strcat(Parent_baseline,subjects.textdata{x,1},'/mri/orig.mgz'));
      imageF2=char(strcat(Parent_followup,subjects.textdata{x,2},'/mri/brainmask.mgz'));
      imageO2=char(strcat(Parent_followup,subjects.textdata{x,2},'/mri/aparc+aseg.mgz'));
      imageOr2=char(strcat(Parent_followup,subjects.textdata{x,2},'/mri/orig.mgz'));
    
      make_pngsFS(QC_output_dir, subjects.textdata{x,1},imageF1,imageO1);
      func_make_corticalpngs_ENIGMA_QC(QC_output_dir,subjects.textdata{x,1},imageOr1,imageO1);
      
      make_pngsFS(QC_output_dir, subjects.textdata{x,2},imageF2,imageO2);
      func_make_corticalpngs_ENIGMA_QC(QC_output_dir,subjects.textdata{x,2},imageOr2,imageO2);
      toc
   end
    display(['Done with subject: ', num2str(x), ' of ', num2str(size(subjects.textdata,1))]);
end
 
    
